summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2009-07-16 06:55:09 +0000
committerHans de Graaff <graaff@gentoo.org>2009-07-16 06:55:09 +0000
commit2138b795572e24eb90ecf7ac621d51a05f181cfc (patch)
tree7ccd20b55326e662682cb2764dd0bee2316b361f /eclass
parentRemove special case for old version no longer in the tree. (diff)
downloadgentoo-2-2138b795572e24eb90ecf7ac621d51a05f181cfc.tar.gz
gentoo-2-2138b795572e24eb90ecf7ac621d51a05f181cfc.tar.bz2
gentoo-2-2138b795572e24eb90ecf7ac621d51a05f181cfc.zip
Hard-code eclass to ruby18 for now since it does not support other versions and will get confused.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ruby-gnome2.eclass16
1 files changed, 11 insertions, 5 deletions
diff --git a/eclass/ruby-gnome2.eclass b/eclass/ruby-gnome2.eclass
index fc773b980ddf..9239f45000fb 100644
--- a/eclass/ruby-gnome2.eclass
+++ b/eclass/ruby-gnome2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ruby-gnome2.eclass,v 1.14 2009/07/16 06:39:47 graaff Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ruby-gnome2.eclass,v 1.15 2009/07/16 06:55:09 graaff Exp $
#
# This eclass simplifies installation of the various pieces of
# ruby-gnome2 since they share a very common installation procedure.
@@ -22,8 +22,14 @@ HOMEPAGE="http://ruby-gnome2.sourceforge.jp/"
LICENSE="Ruby"
SLOT="0"
-DEPEND="virtual/ruby"
-RDEPEND="virtual/ruby"
+# This eclass can currently only deal with a single ruby version, see
+# bug 278012. Since the code is know to work with Ruby 1.8 we
+# hard-code it to that version for now.
+
+DEPEND="=dev-lang/ruby-1.8*"
+RDEPEND="${DEPEND}"
+USE_RUBY="ruby18"
+RUBY=/usr/bin/ruby18
ruby-gnome2_src_unpack() {
if [ ! -x /bin/install -a -x /usr/bin/install ]; then
@@ -53,12 +59,12 @@ END
}
ruby-gnome2_src_compile() {
- ruby extconf.rb || die "extconf.rb failed"
+ ${RUBY} extconf.rb || die "extconf.rb failed"
emake CC=${CC:-gcc} CXX=${CXX:-g++} || die "emake failed"
}
ruby-gnome2_src_install() {
- dodir $(ruby -r rbconfig -e 'print Config::CONFIG["sitearchdir"]')
+ dodir $(${RUBY} -r rbconfig -e 'print Config::CONFIG["sitearchdir"]')
make DESTDIR="${D}" install || die "make install failed"
for doc in ../AUTHORS ../NEWS ChangeLog README; do
[ -s "$doc" ] && dodoc $doc